Bug 979143 - rpm -q --provides perl has superfluous output
rpm -q --provides perl has superfluous output
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 14:21 EDT by Paul Sand
Modified: 2015-01-12 01:40 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 01:23:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Sand 2013-06-27 14:21:59 EDT
Description of problem:
Giving the command "rpm -q --provides perl" produces two lines for "charnames":

perl(charnames)
perl(charnames) = 1.30



Version-Release number of selected component (if applicable):
perl RPM is perl-5.16.3-265.fc19.x86_64


How reproducible:
Give the command 
rpm -q --provides perl, grep for charnames

Steps to Reproduce:
1. Give the command rpm -q --provides perl | grep 'perl(charnames)'
2. 
3.


Actual results:
perl(charnames)
perl(charnames) = 1.30

Expected results:
perl(charnames) = 1.30

Additional info:
I suspect this is an RPM packaging problem.
Comment 1 Petr Pisar 2013-06-28 02:54:04 EDT
Thank you for the report. This is caused by unicore/Name.pm redefining charnames module for internal purposes. We shall skip this file when scanning for provides.
Comment 2 Fedora Admin XMLRPC Client 2013-08-12 07:50:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-01-09 17:10:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Petr Pisar 2015-01-12 01:23:59 EST
This insufficiency in the rpmbuild. It does not merges autogenerated and manually specified dependencies.

We usually corrects this harmless discrepancies manually. However with perl.spec which produces tens of subpackages, the manual approach is not sustainable. Therefore perl package contains these glitches you reported.
Comment 5 Petr Pisar 2015-01-12 01:40:22 EST
This needs to be fixed on rpmbuild level. See rpm bug #678605.

Note You need to log in before you can comment on or make changes to this bug.